Skip to main content

RFC

RFCPropuesta futura. No existe en NOPAL y no forma parte de la API oficial.

RFCs describe ideas that do not exist in NOPAL yet. Nothing in this section should be read as an available feature. The process is in the Documentation Standard, section 16.

Origin

These RFCs are written by the documentation project from the problems verified in the code (audits 01 to 04 and the Developers pages). They are drafts for discussion, not decisions by NOPAL's author.

Identified RFCs​

IDTopicStatus
RFC-0001Versioned plugin API and lifecycledraft
RFC-0002Plugin permissions with enforcementdraft
RFC-0003Per-plugin Python dependenciesdraft
RFC-0004Event bus and background tasksdraft
RFC-0005Single source of metadata and manifest validationdraft
RFC-0006SDK, official template and publishing for third partiesdraft
RFC-DOC-001Help Center in Markdowndraft

How they relate​

RFC-0005 (metadata) ─┐
RFC-0003 (dependencies) ├─► RFC-0006 (SDK and publishing)
RFC-0002 (permissions) ─┤
RFC-0001 (API) ─┘
RFC-0004 (events) depends on RFC-0001